# Polish VAT Whitelist

### What kind of data I will get

By using this integration, you will get information about VAT status of company. This data will be taken from the government data register.

### Input

Query company data by nip.

```json
{
  "nip": "1580056873"
}
```

Query company data by iban.

```json
{
  "iban": "37928400055119019661627633"
}
```

### Response content

**polishWhiteList**

<table><thead><tr><th width="254">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td><code>string</code></td><td>Name of the business entity</td></tr><tr><td><code>nip</code></td><td><code>string</code></td><td>Tax identification number (NIP)</td></tr><tr><td><code>statusVat</code></td><td><code>string</code></td><td>VAT taxpayer status</td></tr><tr><td><code>regon</code></td><td><code>string</code></td><td>National Business Registry Number (REGON)</td></tr><tr><td><code>residenceAddress</code></td><td><code>string</code></td><td>Address of the business entity</td></tr><tr><td><code>representatives</code></td><td><code>array</code></td><td>List of representatives</td></tr><tr><td><code>authorizedClerks</code></td><td><code>array</code></td><td>List of authorized clerks</td></tr><tr><td><code>partners</code></td><td><code>array</code></td><td>List of partners</td></tr><tr><td><code>registrationLegalDate</code></td><td><code>string</code></td><td>Date of registration</td></tr><tr><td><code>registrationDenial</code></td><td><code>object</code></td><td>Information about registration denial</td></tr><tr><td><code>restoration</code></td><td><code>object</code></td><td>Information about restoration</td></tr><tr><td><code>removal</code></td><td><code>object</code></td><td>Information about removal</td></tr><tr><td><code>accountNumbers</code></td><td><code>array</code></td><td>List of bank account numbers</td></tr><tr><td><code>hasVirtualAccounts</code></td><td><code>boolean</code></td><td>Whether the business entity has virtual accounts</td></tr></tbody></table>

#### Example response

```json
{
    "polishWhiteList" : {
        "requestId" : "KdGcs-8fjfjd9",
        "requestDateTime" : "09-06-2020 16:38:57",
        "details" : [{
            "name" : "RAFAŁ MALARCZYK",
            "nip" : "1580056873",
            "statusVat" : "ACTIVE",
            "regon" : "855193920",
            "residenceAddress" : "JODŁOWA 51, 28-500 MŁAWA",
            "representatives" : [ ],
            "authorizedClerks" : [ ],
            "partners" : [ ],
            "registrationLegalDate" : "2014-09-01",
            "registrationDenial" : { },
            "restoration" : { },
            "removal" : { },
            "accountNumbers" : [ "37928400055119019661627633", "24800200040882909458077296" ],
            "hasVirtualAccounts" : false
        }]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/polish-vat-whitelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
